Away#

GET /api/guilds/{guild_id}/away-now#

GetAwayNow

Parameters

Name

In

Type

Required

Description

guild_id

path

integer

yes

Response 200 — Request fulfilled, document follows

Model: AwayNowReport

Field

Type

Required

Description

discord_ids

array of integer

yes

GET /api/me/away#

ListAway

Response 200 — Request fulfilled, document follows

Model: array of AwayRangeSchema

Type: array of AwayRangeSchema

POST /api/me/away#

CreateAway

Request body

Model: AwayRangeIn

Field

Type

Required

Description

start_date

string (date)

yes

end_date

string (date)

yes

note

string | null

no

Response 201 — Document created, URL follows

Model: AwayRangeSchema

Field

Type

Required

Description

id

string (uuid)

yes

start_date

string (date)

yes

end_date

string (date)

yes

note

string | null

yes

DELETE /api/me/away/{range_id}#

DeleteAway

Parameters

Name

In

Type

Required

Description

range_id

path

string (uuid)

yes

Response 204 — Request fulfilled, nothing follows